%global collection_namespace ktdreyer
%global collection_name koji_ansible

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        0.0.389
# https://github.com/ktdreyer/koji-ansible/issues/199
%global commit 747028f93a077783248e02c16364f23d6b54ed1f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Release:        1%{?dist}
Summary:        Ansible modules to manage Koji resources

License:        GPLv3+
URL:            %{ansible_collection_url}
Source:         https://github.com/ktdreyer/koji-ansible/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  ansible

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n koji-ansible-%{commit}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
rm -vr .{copr,github,gitignore,stickler.yml} build-collection codecov.yml tox.ini tests/integration
mkdir plugins/
mv library/ plugins/modules
mv module_utils/ plugins/module_utils/
sed -i \
  -e  's/from ansible.module_utils import common_koji/from ansible_collections.ktdreyer.koji_ansible.plugins.module_utils import common_koji/' \
  plugins/modules/*.py
sed -i -e "s/{{ version }}/%{version}/" galaxy.yml

%build
%ansible_collection_build

%install
%ansible_collection_install

%files
%license COPYING
%doc README.rst
%{ansible_collection_files}

%changelog
* Thu Jan 07 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.0.389-1
- Initial package
